Game Develop Core: gd::ChooseObjectTypeDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
gd::ChooseObjectTypeDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Dialog used to choose an object type, typically when an object must be created. More...

`#include <ChooseObjectTypeDialog.h>`

Inheritance diagram for gd::ChooseObjectTypeDialog:
[legend]

## Public Member Functions

| ChooseObjectTypeDialog (wxWindow *parent, gd::Project &project)
| Default constructor. More...
const std::string & | GetSelectedObjectType () const

## Public Attributes

wxStaticBitmap * | StaticBitmap2
wxChoice * | platformChoice
wxStaticText * | StaticText2
wxStaticText * | StaticText1
wxButton * | cancelBt
wxStaticLine * | StaticLine2
wxHyperlinkCtrl * | helpBt
wxButton * | okBt
wxListCtrl * | objectsList

## Static Protected Attributes

static const long | ID_STATICTEXT2 = wxNewId()
static const long | ID_LISTCTRL1 = wxNewId()
static const long | ID_STATICTEXT1 = wxNewId()
static const long | ID_STATICLINE2 = wxNewId()
static const long | ID_CHOICE1 = wxNewId()
static const long | ID_STATICBITMAP5 = wxNewId()
static const long | ID_HYPERLINKCTRL2 = wxNewId()
static const long | ID_BUTTON1 = wxNewId()
static const long | ID_BUTTON2 = wxNewId()

## Detailed Description

Dialog used to choose an object type, typically when an object must be created.

## Constructor & Destructor Documentation

gd::ChooseObjectTypeDialog::ChooseObjectTypeDialog | ( | wxWindow * | parent,
|  | gd::Project & | project
| ) |  |

Default constructor.

Parameters

  parent | The parent wxWindow
  project | The project in which the object type must be selected

## Member Function Documentation

const std::string& gd::ChooseObjectTypeDialog::GetSelectedObjectType | ( | ) |  | const

inline

Returns the selected object type.

The documentation for this class was generated from the following files:

- ChooseObjectTypeDialog.h
- ChooseObjectTypeDialog.cpp